import { jsx as _jsx, Fragment as _Fragment, jsxs as _jsxs } from "react/jsx-runtime";
/*
 * Copyright (c) 2021-2023 Datalayer, Inc.
 *
 * MIT License
 */
import { BaseStyles, ThemeProvider } from '@primer/react';
import { JupyterLabCss, jupyterLabTheme } from './../theme';
export const JupyterReactTheme = (props) => {
    const { children, colormode, loadJupyterLabCss, theme } = props;
    return (_jsxs(_Fragment, { children: [loadJupyterLabCss && _jsx(JupyterLabCss, { colormode: colormode }), _jsx(ThemeProvider, { theme: theme, colorMode: colormode === 'light' ? 'day' : 'night', dayScheme: "light", nightScheme: "dark", children: _jsx(BaseStyles, { style: {
                        backgroundColor: 'var(--bgColor-default)',
                        color: 'var(--fgColor-default)',
                        fontSize: 'var(--text-body-size-medium)',
                    }, children: children }) })] }));
};
JupyterReactTheme.defaultProps = {
    colormode: 'light',
    loadJupyterLabCss: true,
    theme: jupyterLabTheme,
};
export default JupyterReactTheme;
//# sourceMappingURL=JupyterReactTheme.js.map